com.pivotal.gemfirexd.internal.client.net

## Class NetConnectionReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Reply
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionReply

All Implemented Interfaces:
  ConnectionReplyInterface

Direct Known Subclasses:
  NetPackageReply

    public class NetConnectionReply
    extends Reply
    implements ConnectionReplyInterface

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`agent_, buffer_, count_, DEFAULT_BUFFER_SIZE, dssCorrelationID_, dssIsContinued_, dssLength_, END_OF_COLLECTION, END_OF_SAME_ID_CHAIN, ensuredLengthForDecryption_, longBufferForDecryption_, longCountForDecryption_, longPosForDecryption_, longValueForDecryption_, netAgent_, peekedCodePoint_, peekedLength_, pos_`

### Method Summary

Methods
`protected boolean` `checkAndGetReceivedFlag(boolean receivedFlag)`
`protected void` `checkRequiredObjects(boolean receivedFlag)`
`protected void` `checkRequiredObjects(boolean receivedFlag, boolean receivedFlag2)`
`protected void` `checkRequiredObjects(boolean receivedFlag, boolean receivedFlag2, boolean receivedFlag3)`
`protected void` `checkRequiredObjects(boolean receivedFlag, boolean receivedFlag2, boolean receivedFlag3, boolean receivedFlag4)`
`protected void` `checkRequiredObjects(boolean receivedFlag, boolean receivedFlag2, boolean receivedFlag3, boolean receivedFlag4, boolean receivedFlag5, boolean receivedFlag6)`
`protected void` `checkRequiredObjects(boolean receivedFlag, boolean receivedFlag2, boolean receivedFlag3, boolean receivedFlag4, boolean receivedFlag5, boolean receivedFlag6, boolean receivedFlag7)`
`protected void` `doObjnsprmSemantics(int codePoint)`
`protected void` `doPrccnvrmSemantics(int conversationProtocolErrorCode)`
`protected void` `doPrmnsprmSemantics(int codePoint)`
`protected int` `parseCCSIDDBC()`
`protected int` `parseCCSIDMBC()`
`protected int` `parseCCSIDSBC()`
`protected void` `parseCMDCHKRM()`
`protected void` `parseCMDNSPRM()`
`protected int` `parseCODPNT()`
`protected int` `parseCODPNTDR()`
`protected void` `parseCommitError(ConnectionCallbackInterface connection)`
`protected byte[]` `parseCRRTKN(boolean skip)`
`protected String` `parseEXTNAM()`
`protected int` `parseFastSVRCOD(int minSvrcod, int maxSvrcod)`
`protected String` `parseFastVCS()`
`protected Hashtable` `parseIndoubtList()`
`protected void` `parseInitialPBSD(Connection connection)` Parse the initial PBSD - PiggyBackedSessionData code point.
`protected int` `parseMGRLVLN()`
`protected void` `parsePBSD()` Parse a PBSD - PiggyBackedSessionData code point.
`protected int` `parsePRCCNVCD()`
`protected void` `parsePRCCNVRM()`
`protected String` `parsePRDID(boolean skip)`
`protected String` `parseRDBNAM(boolean skip)`
`protected int` `parseSECCHKCD()`
`protected int[]` `parseSECMEC()`
`protected byte[]` `parseSECTKN(boolean skip)`
`protected NetSqlca` `parseSQLCARD(Sqlca[] rowsetSqlca)`
`protected String` `parseSRVCLSNM()`
`protected String` `parseSRVNAM()`
`protected String` `parseSRVRLSLV()`
`protected int` `parseSVRCOD(int minSvrcod, int maxSvrcod)`
`protected int` `parseSYNCCTLreply(ConnectionCallbackInterface connection)`
`protected byte` `parseSYNCTYPE()`
`protected int` `parseSYNERRCD()`
`protected void` `parseSYNTAXRM()`
`protected int` `parseTypdefsOrMgrlvlovrs()`
`protected int` `parseUOWDSP()`
`protected String` `parseUSRID(boolean skip)`
`protected void` `parseVALNSPRM()`
`protected int` `parseXARETVAL()`
`protected Xid` `parseXID()`
`protected int` `parseXIDCNT()`
`void` `readCommitSubstitute(ConnectionCallbackInterface connection)`
`void` `readLocalCommit(ConnectionCallbackInterface connection)`
`void` `readLocalRollback(ConnectionCallbackInterface connection)`
`void` `readLocalXACommit(ConnectionCallbackInterface connection)`
`void` `readLocalXARollback(ConnectionCallbackInterface connection)`
`void` `readLocalXAStart(ConnectionCallbackInterface connection)`
`protected void` `readXaCommit(NetConnection conn)`
`protected int` `readXaEndUnitOfWork(NetConnection conn)`
`protected void` `readXaForget(NetConnection conn)`
`protected int` `readXaPrepare(NetConnection conn)`
`protected void` `readXaRecover(NetConnection conn)`
`protected int` `readXaRollback(NetConnection conn)`
`protected void` `readXaStartUnitOfWork(NetConnection conn)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`adjustDdmLength, adjustLengths, endOfSameIdChainData, ensureALayerDataInBuffer, ensureBLayerDataInBuffer, ensureSpaceInBufferForFill, fill, matchCodePoint, parseLengthAndMatchCodePoint, peekCodePoint, peekFastBytes, peekFastLength, peekForNullSqlcagrp, peekLength, peekNumOfColumns, peekTotalColumnCount, popCollectionStack, pushLengthOnCollectionStack, readDSSContinuationHeader, readDssHeader, readLengthAndCodePoint, startSameIdChainParse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readCommitSubstitute

    public void readCommitSubstitute(ConnectionCallbackInterface connection)
                              throws DisconnectException

Specified by:
  `readCommitSubstitute` in interface `ConnectionReplyInterface`
Throws:
  `DisconnectException`

#### readLocalCommit

    public void readLocalCommit(ConnectionCallbackInterface connection)
                         throws DisconnectException

Specified by:
  `readLocalCommit` in interface `ConnectionReplyInterface`
Throws:
  `DisconnectException`

#### readLocalRollback

    public void readLocalRollback(ConnectionCallbackInterface connection)
                           throws DisconnectException

Specified by:
  `readLocalRollback` in interface `ConnectionReplyInterface`
Throws:
  `DisconnectException`

#### readLocalXAStart

    public void readLocalXAStart(ConnectionCallbackInterface connection)
                          throws DisconnectException

Specified by:
  `readLocalXAStart` in interface `ConnectionReplyInterface`
Throws:
  `DisconnectException`

#### readLocalXACommit

    public void readLocalXACommit(ConnectionCallbackInterface connection)
                           throws DisconnectException

Specified by:
  `readLocalXACommit` in interface `ConnectionReplyInterface`
Throws:
  `DisconnectException`

#### readLocalXARollback

    public void readLocalXARollback(ConnectionCallbackInterface connection)
                             throws DisconnectException

Specified by:
  `readLocalXARollback` in interface `ConnectionReplyInterface`
Throws:
  `DisconnectException`

#### readXaStartUnitOfWork

    protected void readXaStartUnitOfWork(NetConnection conn)
                                  throws DisconnectException

Throws:
  `DisconnectException`

#### readXaEndUnitOfWork

    protected int readXaEndUnitOfWork(NetConnection conn)
                               throws DisconnectException

Throws:
  `DisconnectException`

#### readXaPrepare

    protected int readXaPrepare(NetConnection conn)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### readXaCommit

    protected void readXaCommit(NetConnection conn)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### readXaRollback

    protected int readXaRollback(NetConnection conn)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### readXaRecover

    protected void readXaRecover(NetConnection conn)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### readXaForget

    protected void readXaForget(NetConnection conn)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseTypdefsOrMgrlvlovrs

    protected int parseTypdefsOrMgrlvlovrs()
                                    throws DisconnectException

Throws:
  `DisconnectException`

#### parseCommitError

    protected void parseCommitError(ConnectionCallbackInterface connection)
                             throws DisconnectException

Throws:
  `DisconnectException`

#### parseCMDCHKRM

    protected void parseCMDCHKRM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseSYNTAXRM

    protected void parseSYNTAXRM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseVALNSPRM

    protected void parseVALNSPRM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parsePRCCNVRM

    protected void parsePRCCNVRM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseCMDNSPRM

    protected void parseCMDNSPRM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseXARETVAL

    protected int parseXARETVAL()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseSYNCTYPE

    protected byte parseSYNCTYPE()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseSYNCCTLreply

    protected int parseSYNCCTLreply(ConnectionCallbackInterface connection)
                             throws DisconnectException

Throws:
  `DisconnectException`

#### parseEXTNAM

    protected String parseEXTNAM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseSRVCLSNM

    protected String parseSRVCLSNM()
                            throws DisconnectException

Throws:
  `DisconnectException`

#### parseSRVNAM

    protected String parseSRVNAM()
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseSRVRLSLV

    protected String parseSRVRLSLV()
                            throws DisconnectException

Throws:
  `DisconnectException`

#### parseMGRLVLN

    protected int parseMGRLVLN()
                        throws DisconnectException

Throws:
  `DisconnectException`

#### parseSECMEC

    protected int[] parseSECMEC()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseSECTKN

    protected byte[] parseSECTKN(boolean skip)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseSECCHKCD

    protected int parseSECCHKCD()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parsePRDID

    protected String parsePRDID(boolean skip)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseUSRID

    protected String parseUSRID(boolean skip)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseCODPNTDR

    protected int parseCODPNTDR()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseCRRTKN

    protected byte[] parseCRRTKN(boolean skip)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseUOWDSP

    protected int parseUOWDSP()
                       throws DisconnectException

Throws:
  `DisconnectException`

#### parseRDBNAM

    protected String parseRDBNAM(boolean skip)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### parseXIDCNT

    protected int parseXIDCNT()
                       throws DisconnectException

Throws:
  `DisconnectException`

#### parseXID

    protected Xid parseXID()
                    throws DisconnectException

Throws:
  `DisconnectException`

#### parseIndoubtList

    protected Hashtable parseIndoubtList()
                                  throws DisconnectException

Throws:
  `DisconnectException`

#### parseSYNERRCD

    protected int parseSYNERRCD()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseCODPNT

    protected int parseCODPNT()
                       throws DisconnectException

Throws:
  `DisconnectException`

#### parsePRCCNVCD

    protected int parsePRCCNVCD()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseCCSIDSBC

    protected int parseCCSIDSBC()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseCCSIDMBC

    protected int parseCCSIDMBC()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseCCSIDDBC

    protected int parseCCSIDDBC()
                         throws DisconnectException

Throws:
  `DisconnectException`

#### parseSVRCOD

    protected int parseSVRCOD(int minSvrcod,
                  int maxSvrcod)
                       throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastSVRCOD

    protected int parseFastSVRCOD(int minSvrcod,
                      int maxSvrcod)
                           throws DisconnectException

Throws:
  `DisconnectException`

#### parseSQLCARD

    protected NetSqlca parseSQLCARD(Sqlca[] rowsetSqlca)
                             throws DisconnectException

Throws:
  `DisconnectException`

#### parseFastVCS

    protected String parseFastVCS()
                           throws DisconnectException

Throws:
  `DisconnectException`

#### checkAndGetReceivedFlag

    protected boolean checkAndGetReceivedFlag(boolean receivedFlag)
                                       throws DisconnectException

Throws:
  `DisconnectException`

#### checkRequiredObjects

    protected void checkRequiredObjects(boolean receivedFlag)
                                 throws DisconnectException

Throws:
  `DisconnectException`

#### checkRequiredObjects

    protected void checkRequiredObjects(boolean receivedFlag,
                            boolean receivedFlag2)
                                 throws DisconnectException

Throws:
  `DisconnectException`

#### checkRequiredObjects

    protected void checkRequiredObjects(boolean receivedFlag,
                            boolean receivedFlag2,
                            boolean receivedFlag3)
                                 throws DisconnectException

Throws:
  `DisconnectException`

#### checkRequiredObjects

    protected void checkRequiredObjects(boolean receivedFlag,
                            boolean receivedFlag2,
                            boolean receivedFlag3,
                            boolean receivedFlag4)
                                 throws DisconnectException

Throws:
  `DisconnectException`

#### checkRequiredObjects

    protected void checkRequiredObjects(boolean receivedFlag,
                            boolean receivedFlag2,
                            boolean receivedFlag3,
                            boolean receivedFlag4,
                            boolean receivedFlag5,
                            boolean receivedFlag6)
                                 throws DisconnectException

Throws:
  `DisconnectException`

#### checkRequiredObjects

    protected void checkRequiredObjects(boolean receivedFlag,
                            boolean receivedFlag2,
                            boolean receivedFlag3,
                            boolean receivedFlag4,
                            boolean receivedFlag5,
                            boolean receivedFlag6,
                            boolean receivedFlag7)
                                 throws DisconnectException

Throws:
  `DisconnectException`

#### doObjnsprmSemantics

    protected void doObjnsprmSemantics(int codePoint)
                                throws DisconnectException

Throws:
  `DisconnectException`

#### doPrmnsprmSemantics

    protected void doPrmnsprmSemantics(int codePoint)
                                throws DisconnectException

Throws:
  `DisconnectException`

#### doPrccnvrmSemantics

    protected void doPrccnvrmSemantics(int conversationProtocolErrorCode)
                                throws DisconnectException

Throws:
  `DisconnectException`

#### parseInitialPBSD

    protected void parseInitialPBSD(Connection connection)
                             throws DisconnectException

Parse the initial PBSD - PiggyBackedSessionData code point.

If sent by the server, it contains a PBSD_ISO code point followed by a byte representing the JDBC isolation level, and a PBSD_SCHEMA code point followed by the name of the current schema as an UTF-8 String.

Throws:
  `DisconnectException`

#### parsePBSD

    protected void parsePBSD()
                      throws DisconnectException

Parse a PBSD - PiggyBackedSessionData code point. Can contain one or both of, a PBSD_ISO code point followed by a byte representing the jdbc isolation level, and a PBSD_SCHEMA code point followed by the name of the current schema as an UTF-8 String.

Throws:
  `DisconnectException`